Download it now!
Bug 124646 - EDITOR ODT Writer inserts all data from filtered range
Summary: EDITOR ODT Writer inserts all data from filtered range
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: László Németh
URL:
Whiteboard: target:6.3.0
Keywords:
: 127911 131191 (view as bug list)
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2019-04-10 08:43 UTC by NISZ LibreOffice Team
Modified: 2020-05-25 18:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Spreadsheet with filtered range (9.14 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-04-10 08:44 UTC, NISZ LibreOffice Team
Details
Screenshot (107.68 KB, image/png)
2019-04-10 08:52 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-04-10 08:43:50 UTC
Description:
Filtered cell range content inserted from Calc to Writer inserts all data of range without filtering.

Steps to Reproduce:
    1. Open the attached ODS file in LibreOffice Calc.
    2. Select and copy A1:B9 range.
    3. Rows 5-7. are filtered with autofilter.
    4. Create a new document in LibreOffice Writer.
    5. Insert a 2x9 table.
    6. Paste the selected range.
    7. Notice, that Writer inserts all data from filtered range.


Actual Results:
LibreOffice Writer 6.3.0.0.alpha0+ inserts all data from filtered range.

Expected Results:
LibreOffice Writer 6.3.0.0.alpha0+ should insert the results of filtering.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: 05a8749ee6f251d4b92eecb97763fa1fe94c68c8
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-04-10 08:44:27 UTC
Created attachment 150651 [details]
Spreadsheet with filtered range
Comment 2 NISZ LibreOffice Team 2019-04-10 08:52:16 UTC
Created attachment 150652 [details]
Screenshot
Comment 3 Commit Notification 2019-04-10 15:16:27 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0c3ac02d8a3c7ea50ae262daf134c28df5c8b343%5E%21

tdf#124646 Don't paste hidden rows of Calc sheets into Writer tables

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2019-04-10 15:17:52 UTC
@Gellért: many thanks for the important feedback related to this feature.
Comment 5 Gellért Gyuris 2019-04-10 15:30:23 UTC
Thanks for this feature!
Comment 6 Marco Marega 2020-03-25 13:02:53 UTC
On Italian Ask site an user pointed out that the bug still exist in version 6.4.1.2
https://ask.libreoffice.org/it/question/234887/bug-errore-in-copiaincolla/

Since when it was fixed in release 6.3 I had tried it and it worked fine, I replied telling him, that this was fixed.
But then I tried again with the newest version 6.4.2.2 (on OpenSuse) and I fund that it pasted all the range and not only the filtered cells. The same happens in version 6.4.1.2 (on Windows 10 64bit)
Comment 7 László Németh 2020-03-25 13:40:41 UTC
(In reply to Marco Marega from comment #6)

@Marco: A similar regression was fixed in Bug 129083, caused by changing the default paste type, and maybe the reported regression is the other consequence of that issue. I'll check it. Thanks for your report, László
Comment 8 b. 2020-05-18 11:45:27 UTC
repro in 6.2.8.2, filter not respected, 

norepro in 7.0.0.0.a1+, that copies only the data displayed by the filter, 

thus -> wfm?

pls. recheck!
Comment 9 b. 2020-05-18 11:47:20 UTC
*** Bug 127911 has been marked as a duplicate of this bug. ***
Comment 10 b. 2020-05-25 18:22:21 UTC
> norepro in 7.0.0.0.a1+, that copies only the data displayed by the filter, 

sometimes, and sometimes it copies hidden rows too, as visible  :-(
Comment 11 b. 2020-05-25 18:32:26 UTC
*** Bug 131191 has been marked as a duplicate of this bug. ***